## frr 6.0.2

=== snapcraft/scripts/Makefile ===
all:

install:
	mkdir -p $(DESTDIR)/bin
	install -D -m 0755 zebra-service $(DESTDIR)/bin/
	install -D -m 0755 bgpd-service $(DESTDIR)/bin/
	install -D -m 0755 ospfd-service $(DESTDIR)/bin/
	install -D -m 0755 ospf6d-service $(DESTDIR)/bin/
	install -D -m 0755 ripd-service $(DESTDIR)/bin/
	install -D -m 0755 ripngd-service $(DESTDIR)/bin/
	install -D -m 0755 isisd-service $(DESTDIR)/bin/
	install -D -m 0755 pimd-service $(DESTDIR)/bin/
	install -D -m 0755 ldpd-service $(DESTDIR)/bin/
	install -D -m 0755 nhrpd-service $(DESTDIR)/bin/
	install -D -m 0755 babeld-service $(DESTDIR)/bin/
	install -D -m 0755 eigrpd-service $(DESTDIR)/bin/
	install -D -m 0755 pbrd-service $(DESTDIR)/bin/
	install -D -m 0755 staticd-service $(DESTDIR)/bin/
	install -D -m 0755 bfdd-service $(DESTDIR)/bin/
	install -D -m 0755 set-options $(DESTDIR)/bin/
	install -D -m 0755 show_version $(DESTDIR)/bin/

=== debian/changelog ===
frr (6.0.2-2build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:49:52 +0000

frr (6.0.2-2build1) eoan; urgency=medium

  * Rebuild against new libjson-c4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jun 2019 13:50:00 +0200

frr (6.0.2-2) unstable; urgency=medium

  * remove bogus libjson0 build-dep (closes: #921349)
  * fix broken systemd dependency spec
  * add proper Conflicts: for quagga and pimd (closes: #921376)

 -- David Lamparter <equinox-debian@diac24.net>  Mon, 04 Feb 2019 22:16:07 +0100

frr (6.0.2-1) unstable; urgency=medium

  * Packaging has been more or less completely reworked, based off the old
    Quagga packaging that hung around in git.  Refer to "changelog-auto.in"
    in the source root directory for the old changelog.
  * Initial release of FRR for Debian. (closes: #863249)

 -- David Lamparter <equinox-debian@diac24.net>  Sun, 27 Jan 2019 17:27:02 +0100

## frr 7.2.1

=== fpm/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. fpm/libfrrfpm_pb.la
%: ALWAYS
	@$(MAKE) -s -C .. fpm/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== nhrpd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. nhrpd/nhrpd
%: ALWAYS
	@$(MAKE) -s -C .. nhrpd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== ospf6d/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. ospf6d/ospf6d
%: ALWAYS
	@$(MAKE) -s -C .. ospf6d/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== debian/changelog ===
frr (7.2.1-1ubuntu0.2) focal; urgency=medium

  * d/frr.postinst: don't change log ownership if the syslog user
    doesn't exist. Thanks to Alessandro Ratti
    <alessandro.ratti@exoscale.ch> for the fix (LP: #1991812).

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 28 Oct 2022 14:12:00 -0300

frr (7.2.1-1ubuntu0.1) focal; urgency=medium

  * Fix logging with Ubuntu's unprivileged rsyslog (LP: #1958162):
    - d/frr.postinst: change log files ownership
    - d/frr.logrotate: change rotated log file ownership

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 19 Jul 2022 17:40:11 -0300

frr (7.2.1-1) unstable; urgency=medium

  * new upstream release
  * daemon man pages renamed to frr-* (closes: #944392)
  * fix/improve multi-arch markers on doc
  * fix git URLs to point to debian branch

 -- David Lamparter <equinox-debian@diac24.net>  Mon, 20 Jan 2020 17:06:21 +0100

frr (7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jafar Al-Gharaibeh <jafar@atcorp.com>  Sun, 03 Nov 2019 18:45:23 +0100

=== debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Lamparter <equinox-debian@diac24.net>
Uploaders: FRRouting-dev <dev@lists.frrouting.org>
Build-Depends:
 autotools-dev,
 bison,
 chrpath,
 debhelper (>= 9),
 debhelper (>= 9.20160709) <!pkg.frr.nosystemd> | dh-systemd <!pkg.frr.nosystemd>,
 dh-autoreconf,
 flex,
 gawk,
 install-info,
 libc-ares-dev,
 libcap-dev,
 libjson-c-dev | libjson0-dev,
 libpam0g-dev | libpam-dev,
 libpcre3-dev,
 libpython3-dev,
 libreadline-dev,
 librtr-dev <!pkg.frr.nortrlib>,
 libsnmp-dev,
 libssh-dev <!pkg.frr.nortrlib>,
 libsystemd-dev <!pkg.frr.nosystemd>,
 libyang-dev (>= 0.16.74),
 pkg-config,
 python3,
 python3-dev,
 python3-sphinx,
 python3-pytest <!nocheck>,
 texinfo (>= 4.7)
Standards-Version: 4.4.1
Homepage: https://www.frrouting.org/
Vcs-Browser: https://github.com/FRRouting/frr/tree/debian/master
Vcs-Git: https://github.com/FRRouting/frr.git -b debian/master

Package: frr
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 iproute2 | iproute,
 logrotate (>= 3.2-11)
Pre-Depends: adduser
Recommends: frr-pythontools
Suggests: frr-doc
Conflicts:
 zebra,
 zebra-pj,
 pimd,
 quagga,
 quagga-bgpd,
 quagga-core,
 quagga-isisd,
 quagga-ospf6d,
 quagga-ospfd,
 quagga-pimd,
 quagga-ripd,
 quagga-ripngd
Replaces: zebra, zebra-pj
Description: FRRouting suite of internet protocols (BGP, OSPF, IS-IS, ...)
 FRRouting implements the routing protocols commonly used in the
 internet and private networks to exchange information between routers.
 Both IP and IPv6 are supported, as are BGP, OSPF, IS-IS, BABEL, EIGRP,
 RIP, LDP, BFD, PIM and NHRP protocols.
 .
 These protocols are used to turn your system into a dynamic router,
 exchanging information about available connections with other routers
 in a standards-compliant way.  The actual packet forwarding
 functionality is provided by the OS kernel.
 .
 FRRouting is a fork of Quagga with an open community model. The main
 git lives on https://github.com/frrouting/frr.git and the project name
 is commonly abbreviated as "FRR."

Package: frr-snmp
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 frr (= ${binary:Version})
Recommends: snmpd
Description: FRRouting suite - SNMP support
 Adds SNMP support to FRR's daemons by attaching to net-snmp's snmpd
 through the AgentX protocol.  Provides read-only access to current
 routing state through standard SNMP MIBs.

Package: frr-rpki-rtrlib
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 frr (= ${binary:Version})
Description: FRRouting suite - BGP RPKI support (rtrlib)
 Adds RPKI support to FRR's bgpd, allowing validation of BGP routes
 against cryptographic information stored in WHOIS databases.  This is
 used to prevent hijacking of networks on the wider internet.  It is only
 relevant to internet service providers using their own autonomous system
 number.
Build-Profiles: <!pkg.frr.nortrlib>

Package: frr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libjs-jquery,
 libjs-underscore
Suggests: frr
Conflicts: quagga-doc
Description: FRRouting suite - user manual
 This provides the FRR user manual in HTML form.  This is the official
 manual maintained as part of the package and is also available online
 at https://frrouting.readthedocs.io/

Package: frr-pythontools
Architecture: all
Depends:
 ${misc:Depends},
 frr (<< ${source:Upstream-Version}.0-~),
 frr (>= ${source:Version}~),
 python3:any
Description: FRRouting suite - Python tools
 The FRRouting suite uses a small Python tool to provide configuration
 reload functionality, particularly useful when the interactive configuration
 shell is not used.
 .
 Without this package installed, "reload" (as a systemd or init script
 invocation) will not work for the FRR daemons.

=== debian/watch ===
version=4

https://github.com/FRRouting/frr/releases/ \
	download/frr-(?:\d[\d.]*)/frr-(\d[\d.]*)\.tar\.xz debian uupdate

## frr 7.4

=== debian/changelog ===
frr (7.4-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * Use dh_installinit capabilities to install frr.tmpfile
  * Remove unused debian/watchfrr.rc file
  * Add missing lsof dependency
  * Remove mention of pkg.frr.snmp build profile from debian/README.Debian
  * Make lsb-base a hard dependency
  * Update gbp.conf for 7.4 release
  * Update and simplify d/watch
  * Change the debian source format from 3.0 (git) to 3.0 (quilt)
  * Convert the package to dh compat level 10
  * Add myself to Uploaders
  * Bump standards version to 4.5.0.2 (latest) - no change
  * Use wrap-and-sort -a to unify debian/ wrapping and sorting
  * Work around the sphinx-build error that doesn't copy images to texinfo
    (Properly closes: #955067)
  * Depend on debhelper >= 9.20160709 and drop dh-systemd dependency
    (Closes: #958626)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 10 Aug 2020 11:50:45 +0200

=== debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: David Lamparter <equinox-debian@diac24.net>
Uploaders: FRRouting-dev <dev@lists.frrouting.org>,
           Ondřej Surý <ondrej@debian.org>
Build-Depends: bison,
               chrpath,
               debhelper (>= 9.20160709~),
               flex,
               gawk,
               install-info,
               libc-ares-dev,
               libcap-dev,
               libjson-c-dev | libjson0-dev,
               libpam0g-dev | libpam-dev,
               libpcre3-dev,
               libpython3-dev,
               libreadline-dev,
               librtr-dev <!pkg.frr.nortrlib>,
               libsnmp-dev,
               libssh-dev <!pkg.frr.nortrlib>,
               libsystemd-dev <!pkg.frr.nosystemd>,
               libyang-dev (>= 0.16.74),
               pkg-config,
               python3,
               python3-dev,
               python3-pytest <!nocheck>,
               python3-sphinx,
               texinfo (>= 4.7)
Standards-Version: 4.5.0.2
Homepage: https://www.frrouting.org/
Vcs-Browser: https://github.com/FRRouting/frr/tree/debian/master
Vcs-Git: https://github.com/FRRouting/frr.git -b debian/master

Package: frr
Architecture: linux-any
Depends: iproute2 | iproute,
         logrotate (>= 3.2-11),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: adduser
Recommends: frr-pythontools
Suggests: frr-doc
Conflicts: pimd,
           quagga,
           quagga-bgpd,
           quagga-core,
           quagga-isisd,
           quagga-ospf6d,
           quagga-ospfd,
           quagga-pimd,
           quagga-ripd,
           quagga-ripngd,
           zebra,
           zebra-pj
Replaces: zebra,
          zebra-pj
Description: FRRouting suite of internet protocols (BGP, OSPF, IS-IS, ...)
 FRRouting implements the routing protocols commonly used in the
 internet and private networks to exchange information between routers.
 Both IP and IPv6 are supported, as are BGP, OSPF, IS-IS, BABEL, EIGRP,
 RIP, LDP, BFD, PIM and NHRP protocols.
 .
 These protocols are used to turn your system into a dynamic router,
 exchanging information about available connections with other routers
 in a standards-compliant way.  The actual packet forwarding
 functionality is provided by the OS kernel.
 .
 FRRouting is a fork of Quagga with an open community model. The main
 git lives on https://github.com/frrouting/frr.git and the project name
 is commonly abbreviated as "FRR."

Package: frr-snmp
Architecture: linux-any
Depends: frr (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: snmpd
Description: FRRouting suite - SNMP support
 Adds SNMP support to FRR's daemons by attaching to net-snmp's snmpd
 through the AgentX protocol.  Provides read-only access to current
 routing state through standard SNMP MIBs.

Package: frr-rpki-rtrlib
Architecture: linux-any
Depends: frr (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: FRRouting suite - BGP RPKI support (rtrlib)
 Adds RPKI support to FRR's bgpd, allowing validation of BGP routes
 against cryptographic information stored in WHOIS databases.  This is
 used to prevent hijacking of networks on the wider internet.  It is only
 relevant to internet service providers using their own autonomous system
 number.
Build-Profiles: <!pkg.frr.nortrlib>

Package: frr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Suggests: frr
Conflicts: quagga-doc
Description: FRRouting suite - user manual
 This provides the FRR user manual in HTML form.  This is the official
 manual maintained as part of the package and is also available online
 at https://frrouting.readthedocs.io/

Package: frr-pythontools
Architecture: all
Depends: frr (<< ${source:Upstream-Version}.0-~),
         frr (>= ${source:Version}~),
         python3:any,
         ${misc:Depends}
Description: FRRouting suite - Python tools
 The FRRouting suite uses a small Python tool to provide configuration
 reload functionality, particularly useful when the interactive configuration
 shell is not used.
 .
 Without this package installed, "reload" (as a systemd or init script
 invocation) will not work for the FRR daemons.

## frr 7.5

=== debian/changelog ===
frr (7.5-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:13:52 +0000

frr (7.5-1) unstable; urgency=medium

  * New upstream version 7.5

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 21:38:50 +0100

frr (7.4-2) unstable; urgency=medium

  * Bump libyang dependency to >= 1.0.184-1~
  * Make the autopkgtest more resilient (Closes: #980111)
  * Adjust the ax_python.m4 to hardcode python3.9

 -- Ondřej Surý <ondrej@debian.org>  Sun, 07 Feb 2021 13:15:07 +0100

frr (7.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with Python 3.9. (Closes: #972767)

 -- Adrian Bunk <bunk@debian.org>  Thu, 21 Jan 2021 16:06:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: frr
 Section: net
 Priority: optional
-Maintainer: David Lamparter <equinox-debian@diac24.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Lamparter <equinox-debian@diac24.net>
 Uploaders: FRRouting-dev <dev@lists.frrouting.org>,
            Ondřej Surý <ondrej@debian.org>
 Build-Depends: bison,
@@ -21,7 +22,7 @@
                libsnmp-dev,
                libssh-dev <!pkg.frr.nortrlib>,
                libsystemd-dev <!pkg.frr.nosystemd>,
-               libyang-dev (>= 0.16.74),
+               libyang-dev (>= 1.0.184-1~),
                pkg-config,
                python3,
                python3-dev,

## frr 7.5+cl4.3.2u4

=== debian/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# debian/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/frr
pkgincludedir = $(includedir)/frr
pkglibdir = $(libdir)/frr
pkglibexecdir = $(libexecdir)/frr
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = debian
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/sharpd/frr_internal1/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/sharpd/frr_internal1/missing autoconf
AUTOHEADER = ${SHELL} /home/sharpd/frr_internal1/missing autoheader
AUTOMAKE = ${SHELL} /home/sharpd/frr_internal1/missing automake-1.16
AWK = gawk
BGPD = bgpd
BISON_CLOSEBRACE = }
BISON_OPENBRACE = {
BISON_VERBOSE = -Dparse.error=verbose
CARES_CFLAGS = 
CARES_LIBS = -lcares 
CC = gcc -std=gnu11
CCDEPMODE = depmode=gcc3
CFG_MODULE = /usr/lib64/frr/modules
CFG_SBIN = /usr/lib/frr
CFG_STATE = /var/run/frr
CFG_SYSCONF = /etc/frr
CFLAGS =  -g -Os -fno-omit-frame-pointer -funwind-tables -Wall -Wextra -Wmissing-prototypes -Wmissing-declarations -Wpointer-arith -Wbad-function-cast -Wwrite-strings -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -pthread
CONFDATE = 20190116
CONFIG_ARGS =  '--build=x86_64-linux-gnu' '--prefix=/usr' '--includedir=$prefix/include' '--mandir=$prefix/share/man' '--infodir=$prefix/share/info' '--sysconfdir=/etc' '--libexecdir=$prefix/lib/frr' '--enable-exampledir=/usr/share/doc/frr/examples/' '--localstatedir=/var/run/frr' '--sbindir=/usr/lib/frr' '--sysconfdir=/etc/frr' '--enable-ospfapi=yes' '--enable-multipath=256' '--enable-user=frr' '--enable-group=frr' '--enable-vty-group=frrvty' '--enable-configfile-mask=0640' '--enable-logfile-mask=0640' '--enable-rtadv' '--with-libpam' '--enable-systemd=yes' '--enable-cumulus=yes' '--enable-vtysh=yes' '--with-vtysh-pager=cat' '--enable-datacenter=yes' '--enable-snmp=no' '--enable-bgp-vnc=no' '--enable-werror=no' '--enable-sharpd=yes' 'CC=gcc' '--enable-tcmalloc=yes' 'build_alias=x86_64-linux-gnu'
CPP = gcc -E
CPPFLAGS = 
CURSES = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DFLT_NAME = datacenter
DLLTOOL = false
DOC = doc
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
HAVE_LIBPCREPOSIX = 
HOSTTOOLS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -rdynamic
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBCAP = 
LIBM = -lm
LIBOBJS = 
LIBPAM = 
LIBREADLINE = -lreadline  -ltermcap
LIBRFP = 
LIBS = -ldl -lm -lcrypt   -ltcmalloc_minimal -ljson-c -lsystemd -lrt
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/sharpd/frr_internal1/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NETSNMP_CONFIG = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = frr
PACKAGE_BUGREPORT = https://github.com/frrouting/frr/issues
PACKAGE_EXTRAVERSION = 
PACKAGE_FULLNAME = FRRouting
PACKAGE_NAME = frr
PACKAGE_STRING = frr 4.0+cl3u10
PACKAGE_TARNAME = frr
PACKAGE_URL = https://frrouting.org/
PACKAGE_VERSION = 4.0+cl3u10
PATH_SEPARATOR = :
PERL = /usr/bin/perl
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PROTOBUF_C_CFLAGS = 
PROTOBUF_C_LIBS = 
PROTOC_C = 
PTHREAD_CC = gcc -std=gnu11
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
PYTHONCONFIG = python3-config
PYTHON_CFLAGS = -I/usr/include/python3.7m -I/usr/include/python3.7m
PYTHON_LIBS = -lpython3.7m -lpthread -ldl  -lutil -lm 
RANLIB = ranlib
RFPINC = bgpd/rfp-example/librfp
RFPTEST = 
RTRLIB_CFLAGS = 
RTRLIB_LIBS = 
SED = sed
SET_MAKE = 
SHELL = /bin/sh
SNMP_CFLAGS = 
SNMP_LIBS = 
SOLARIS = 
STRIP = strip
VERSION = 4.0+cl3u10
VNC_RFP_PATH = bgpd/rfp-example
VTYSH = vtysh
WERROR = 
YACC = bison -y
YFLAGS = 
ZEROMQ_CFLAGS = 
ZEROMQ_LIBS = 
abs_builddir = /home/sharpd/frr_internal1/debian
abs_srcdir = /home/sharpd/frr_internal1/debian
abs_top_builddir = /home/sharpd/frr_internal1
abs_top_srcdir = /home/sharpd/frr_internal1
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
ac_ct_PYTHONCONFIG = python3-config
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_pthread_config = 
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
enable_group = frr
enable_user = frr
enable_vty_group = frrvty
exampledir = /usr/share/doc/frr/examples/
exec_prefix = ${prefix}
frr_statedir = /var/run/frr
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = $prefix/include
infodir = $prefix/share/info
install_sh = ${SHELL} /home/sharpd/frr_internal1/install-sh
libdir = ${exec_prefix}/lib64
libexecdir = $prefix/lib/frr
localedir = ${datarootdir}/locale
localstatedir = /var/run/frr
mandir = $prefix/share/man
mkdir_p = $(MKDIR_P)
moduledir = ${libdir}/frr/modules
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgsrcrcdir = 
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = /usr/lib/frr
sharedstatedir = /var
srcdir = .
sysconfdir = /etc/frr
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = README.Debian README.Maintainer \
	changelog compat control copyright \
	rules source/format tests/control \
	tests/daemons watchfrr.rc \
	backports/README backports/rules \
        backports/debian8/debian/source/format \
        backports/debian8/exclude \
        backports/debian8/versionext \
        backports/debian9/debian/source/format \
        backports/debian9/exclude \
        backports/debian9/versionext \
	backports/ubuntu12.04/debian/control \
	backports/ubuntu12.04/debian/frr.install \
	backports/ubuntu12.04/debian/frr.postinst \
	backports/ubuntu12.04/debian/frr.postrm \
	backports/ubuntu12.04/debian/rules \
	backports/ubuntu12.04/debian/source/format \
	backports/ubuntu12.04/exclude \
	backports/ubuntu12.04/versionext \
	backports/ubuntu14.04/debian/control \
	backports/ubuntu14.04/debian/frr.install \
	backports/ubuntu14.04/debian/frr.postinst \
	backports/ubuntu14.04/debian/frr.postrm \
	backports/ubuntu14.04/debian/rules \
	backports/ubuntu14.04/debian/source/format \
	backports/ubuntu14.04/exclude \
	backports/ubuntu14.04/versionext \
	backports/ubuntu16.04/debian/source/format \
	backports/ubuntu16.04/exclude \
	backports/ubuntu16.04/versionext \
	backports/ubuntu17.10/debian/control \
	backports/ubuntu17.10/debian/source/format \
	backports/ubuntu17.10/exclude \
	backports/ubuntu17.10/versionext \
	frr-doc.docs frr-doc.info frr-doc.install \
	frr-doc.lintian-overrides frr.conf \
	frr-dbg.lintian-overrides \
	frr.dirs frr.docs frr.install \
	frr.lintian-overrides frr.logrotate \
	frr.manpages frr.pam frr.postinst frr.postrm \
	frr.preinst frr.prerm \
	frr-pythontools.install

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign debian/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign debian/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

=== debian/changelog ===
frr (7.5+cl4.3.2u4) UNRELEASED; urgency=medium

   * Updated version for 4.3.2

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 10 Nov 2023 02:14:43 -0800

frr (7.5+cl4.3.2u3) UNRELEASED; urgency=medium

   * Updated version for 4.3.2

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 02 Nov 2023 11:31:35 -0700

frr (7.5+cl4.3.2u2) UNRELEASED; urgency=medium

   * Updated version for 4.3.2

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 28 Sep 2023 02:20:50 -0700

frr (7.5+cl4.3.2u1) UNRELEASED; urgency=medium

   * Updated version for 4.3.2

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 22 Sep 2023 03:07:46 -0700

frr (7.5+cl4.3.1u19) UNRELEASED; urgency=medium

   * Updated to 7.5+cl4.3.1u19 for armel build

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 20 Sep 2022 13:09:18 -0700

frr (7.5+cl4.3.1u1) UNRELEASED; urgency=medium

   * Updated to 7.5+cl4.3.1u1 for armel build

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 31 Aug 2022 23:58:48 -0700

frr (7.5+cl4.3.0u1) RELEASED; urgency=medium

   * New Enabled: <fill this in>

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 11 Dec 2020 12:22:34 -0400

frr (7.4+cl4.2.1u1) RELEASED; urgency=medium

  * New Enabled: EVPN ESI-based Multihoming

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 28 Aug 2020 18:20:41 -0700

frr (7.4+cl4u3) RELEASED; urgency=medium

  * New Enabled: New Work

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 03 Mar 2020 09:14:23 -0400

frr (7.0+cl4u2) RELEASED; urgency=medium

  * New Enabled: zebra: knob to make ra retransmit interval rfc compliant
  * New Enabled: zebra: add all ipv6 global addresses to RA messages
  * New Enabled: pbrd: Add `set vrf NAME` and `set vrf unchanged`
  * New Enabled: vrrpd: Enable namespace support
  * New Enabled: bgpd: Allow link bandwidth to set nexthop weight
  * New Enabled: pimd: mlag support
  * Fixes: CM-28912 zebra: Display next hop's weight (if any) in route brief output
  * Fixes: CM-28878 bgpd: Refine multiaccess check for next hop resetting
  * Fixes: CM-28786 bgpd: Strip Route Targets during VRF-to-VRF route leak
  * Fixes: CM-28283 bgpd: Print out vrf name as well as id
  * Fixes: CM-28015 bgpd: Remove temporary debugs added for UCMP
  * Fixes: CM-28814 bgpd: Change reference bandwidth for UCMP
  * Fixes: CM-28783 bgpd: Fix 'bgp bestpath bandwidth' handling
  * Fixes: CM-28017 pimd: Make [mlag] option in interface a discriminator
  * Fixes: CM-28531 vrrpd: always null mvl_ifp ptr when mvl is deleted
  * Fixes: CM-28625 bgpd: Add support for non-transitive link-bandwidth
  * Fixes: CM-26983 pimd: metric values are uint32_t not a int32_t
  * Fixes: CM-27247 pimd: Ignore igmp queries from itself
  * Fixes: CM-27233 tools: stop repeating lines to delete for multiple bfd timer changes
  * Fixes: CM-26898 bgpd: fix memory leak in vin table for evpn routes
  * Fixes: CM-26838 bgpd: fix memory leak in vin table for evpn routes
  * Fixes: CM-27169 bgpd: fix memory leak in vin table for evpn routes
  * Fixes: CM-27233 tools: resolve issue with bfd timer change fix in frr-relaod.py
  * Fixes: CM-27446 pimd: eval use_rpt on new upstream post IIF setup but before MFC programming
  * Fixes: CM-27466 pimd: Skip nexthop lookup for register source in some cases
  * Fixes: CM-27537 bgpd: Fix memory leak in json output of show commands
  * Fixes: CM-24114 bgpd: Handle possible non-selection of local route
  * Fixes: CM-27061 zebra: send RA lifetime of 0 before ceasing to advertise RAs
  * Fixes: CM-26399 zebra: Correct /32 addr del with broadcast set
  * Fixes: CM-27660 zebra: return on v6 RR semantics
  * Fixes: CM-27729 pimd: There is nothing to do with a WRVIFWHOLE for iifp of pimreg
  * Fixes: CM-27200 staticd: Make blackhole keyword errors more straightforward
  * Fixes: CM-27230 zebra: dplane cancel update thread from correct pthread
  * Fixes: CM-27456 pbrd: don't set rule removed on fail
  * Fixes: CM-27457 pbrd: don't silently fail on atomic match IP change attempts
  * Fixes: CM-26514 pbrd: make show pbr map detail actually work
  * Fixes: CM-27047 bgpd: Remove misleading 'NOTIFICATION' string from End-of-RIB log
  * Fixes: CM-27294 zebra: default ns-info should be default zebra_ns
  * Fixes: CM-27733 zebra: fix debug in macvlan down event
  * Fixes: CM-27956 tools: improve frr-reload delete performance for some commands
  * Fixes: CM-28018 tools: Add additional missing data from pim to cl-support data gathering
  * Fixes: CM-26239 pimd: PIM hangs when vrf_id is not found for zapi message
  * Fixes: CM-27752 zebra: remote vtep delete handling
  * Fixes: CM-28328 bgpd: Add fields to bgp evpn vni json cmd
  * Fixes: CM-26518 pbrd: unconfigure table range
  * Fixes: CM-28331 bgpd: Allow EVPN advertise route-map to modify attributes
  * Fixes: CM-28237 bgpd: Allow generating EVPN type-5 routes with existing extended community
  * Fixes: CM-28636 bgpd: Refine 'no' command for bandwidth handling

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 10 Mar 2020 15:37:00 -0400

frr (7.0+cl4u1) RELEASED; urgency=medium

  * New Enabled: Version 7.0 of FRR Uplift
  * New Enabled: PIM-EVPM BUM Handling

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 22 Apr 2019 09:18:19 -0400

frr (4.0+cl3u11) RELEASED; urgency=medium

  * New Enabled: bgpd: add support for MD5 auth on listen ranges
  * Fixes: CM-24375 tools: fix vrrp autoconfigure reload
  * Fixes: CM-24339 zebra: evpn dup detect handle ip state change
  * Fixes: CM-24248 lib, bgpd: Do not register nexthop 0.0.0.0 to nht

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 16 Apr 2019 18:29:14 -0400

frr (4.0+cl3u10) RELEASED; urgency=medium

  * New Enabled: VRRP
  * New Enabled: "show interface brief" command
  * Fixes: CM-24301 vrrpd: tweak startup criteria for v6 VRRP router
  * Fixes: CM-24224 bgpd: router mac same as self skip route install
  * Fixes: CM-24277 zebra: don't protodown a NULL interface


=== debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: David Lamparter <equinox-debian@diac24.net>
Uploaders: FRRouting-dev <dev@lists.frrouting.org>
Build-Depends:
 autotools-dev,
 bison,
 chrpath,
 debhelper (>= 9),
 debhelper (>= 9.20160709) <!pkg.frr.nosystemd> | dh-systemd <!pkg.frr.nosystemd>,
 dh-autoreconf,
 flex,
 gawk,
 install-info,
 libc-ares-dev,
 libcap-dev,
 libjson-c-dev | libjson0-dev,
 libpam0g-dev | libpam-dev,
 libpcre3-dev,
 libpython3-dev,
 libreadline-dev,
 librtr-dev <!pkg.frr.nortrlib>,
 libsnmp-dev,
 libssh-dev <!pkg.frr.nortrlib>,
 libsystemd-dev <!pkg.frr.nosystemd>,
 libyang-dev (>= 0.16.74),
 protobuf-c-compiler,
 libprotobuf-c-dev,
 pkg-config,
 python3,
 python3-dev,
 python3-sphinx,
 python3-pytest <!nocheck>,
 texinfo (>= 4.7),
 libgrpc++-dev,
 libprotobuf-dev,
 protobuf-compiler-grpc,
 csmgrd-dev
Standards-Version: 4.4.1
Homepage: https://www.frrouting.org/
Vcs-Browser: https://github.com/FRRouting/frr/tree/debian/master
Vcs-Git: https://github.com/FRRouting/frr.git -b debian/master

Package: frr
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 iproute2 | iproute,
 logrotate (>= 3.2-11),
 frr-pythontools (>= 7.0-cl4u1)
Pre-Depends: adduser
Recommends: frr-pythontools
Suggests: frr-doc
Conflicts:
 zebra,
 zebra-pj,
 pimd,
 quagga,
 quagga-bgpd,
 quagga-core,
 quagga-isisd,
 quagga-ospf6d,
 quagga-ospfd,
 quagga-pimd,
 quagga-ripd,
 quagga-ripngd
Replaces: zebra, zebra-pj
Description: FRRouting suite of internet protocols (BGP, OSPF, IS-IS, ...)
 FRRouting implements the routing protocols commonly used in the
 internet and private networks to exchange information between routers.
 Both IP and IPv6 are supported, as are BGP, OSPF, IS-IS, BABEL, EIGRP,
 RIP, LDP, BFD, PIM and NHRP protocols.
 .
 These protocols are used to turn your system into a dynamic router,
 exchanging information about available connections with other routers
 in a standards-compliant way.  The actual packet forwarding
 functionality is provided by the OS kernel.
 .
 FRRouting is a fork of Quagga with an open community model. The main
 git lives on https://github.com/frrouting/frr.git and the project name
 is commonly abbreviated as "FRR."

Package: frr-snmp
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 frr (= ${binary:Version})
Recommends: snmpd
Description: FRRouting suite - SNMP support
 Adds SNMP support to FRR's daemons by attaching to net-snmp's snmpd
 through the AgentX protocol.  Provides read-only access to current
 routing state through standard SNMP MIBs.

Package: frr-rpki-rtrlib
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 frr (= ${binary:Version})
Description: FRRouting suite - BGP RPKI support (rtrlib)
 Adds RPKI support to FRR's bgpd, allowing validation of BGP routes
 against cryptographic information stored in WHOIS databases.  This is
 used to prevent hijacking of networks on the wider internet.  It is only
 relevant to internet service providers using their own autonomous system
 number.
Build-Profiles: <!pkg.frr.nortrlib>

Package: frr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libjs-jquery,
 libjs-underscore
Suggests: frr
Conflicts: quagga-doc
Description: FRRouting suite - user manual
 This provides the FRR user manual in HTML form.  This is the official
 manual maintained as part of the package and is also available online
 at https://frrouting.readthedocs.io/

Package: frr-pythontools
Architecture: all
Depends:
 ${misc:Depends},
 frr (>= 7.4-cl4u1),
 python3:any
Description: FRRouting suite - Python tools
 The FRRouting suite uses a small Python tool to provide configuration
 reload functionality, particularly useful when the interactive configuration
 shell is not used.
 .
 Without this package installed, "reload" (as a systemd or init script
 invocation) will not work for the FRR daemons.

=== debian/rules ===
#!/usr/bin/make -f

# standard Debian options & profiles

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
  MAKE_SILENT="V=0"
  export DH_VERBOSE=0
else
  MAKE_SILENT="V=1"
  export DH_VERBOSE=1
  export DH_OPTIONS=-v
endif

# package-specific build profiles

ifeq ($(filter pkg.frr.nortrlib,$(DEB_BUILD_PROFILES)),)
  CONF_RPKI=--enable-rpki
else
  CONF_RPKI=--disable-rpki
endif

ifeq ($(filter pkg.frr.nosystemd,$(DEB_BUILD_PROFILES)),)
  DH_WITH_SYSTEMD=systemd,
  CONF_SYSTEMD=--enable-systemd=yes
else
  DH_WITH_SYSTEMD=
  CONF_SYSTEMD=--enable-systemd=no
endif

export PYTHON=python3

%:
	dh $@ --with=$(DH_WITH_SYSTEMD)autoreconf --parallel

override_dh_auto_configure:
	$(shell dpkg-buildflags --export=sh); \
	dh_auto_configure -- \
		--enable-exampledir=/usr/share/doc/frr/examples/ \
		--localstatedir=/var/run/frr \
		--sbindir=/usr/lib/frr \
		--sysconfdir=/etc/frr \
		--with-vtysh-pager=/usr/bin/pager \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr \
		--with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr/modules \
		LIBTOOLFLAGS="-rpath /usr/lib/$(DEB_HOST_MULTIARCH)/frr" \
		--disable-dependency-tracking \
		\
		$(CONF_SYSTEMD) \
		$(CONF_RPKI) \
		--with-libpam \
		--enable-doc \
		--enable-doc-html \
		--enable-snmp \
		--enable-fpm \
		--disable-zeromq \
		--enable-ospfapi \
		--disable-bgp-vnc \
		--enable-multipath=128 \
		\
		--enable-user=frr \
		--enable-group=frr \
		--enable-vty-group=frrvty \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640 \
		\
		--enable-protobuf \
		--enable-cumulus=yes \
		--enable-csmgr=yes \
		--enable-datacenter=yes \
		--enable-bfdd=no \
		--enable-sharpd=yes \
		--enable-grpc=yes \
		# end

override_dh_auto_install:
	dh_auto_install

	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/frr-reload.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/generate_support_bundle.py

# let dh_systemd_* and dh_installinit do their thing automatically
ifeq ($(filter pkg.frr.nosystemd,$(DEB_BUILD_PROFILES)),)
	cp tools/frr.service debian/frr.service
endif
	cp tools/frrinit.sh debian/frr.init
	-rm -f debian/tmp/usr/lib/frr/frr

# install config files
	mkdir -p debian/tmp/etc
	cp -r tools/etc/* debian/tmp/etc/
	-rm debian/tmp/etc/frr/daemons.conf

	sed -e 's#^!log file #!log file /var/log/frr/#' -i debian/tmp/usr/share/doc/frr/examples/*sample*

# drop dev-only files
	find debian/tmp -name '*.la' -o -name '*.a' -o -name 'lib*.so' | xargs rm -f
	rm -rf debian/tmp/usr/include
	-rm debian/tmp/usr/lib/frr/ssd

# use installed js libraries
	-rm -f debian/tmp/usr/share/doc/frr/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/tmp/usr/share/doc/frr/html/_static/jquery.js
	-rm -f debian/tmp/usr/share/doc/frr/html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js debian/tmp/usr/share/doc/frr/html/_static/underscore.js

override_dh_auto_build:
	dh_auto_build -- $(MAKE_SILENT)

override_dh_installinit:
	dh_installinit -r

override_dh_installsystemd:
	dh_installsystemd -r

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
# we generally do NOT want a full distclean since that wipes both
# debian/changelog and config.version
	if test -f Makefile; then make redistclean; fi
	-rm -f debian/frr.init
	-rm -f debian/frr.service

## frr 7.5.1

=== tools/Makefile ===
all: ALWAYS
	@echo please specify a target to build
%: ALWAYS
	@$(MAKE) -s -C .. tools/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== vrrpd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. vrrp/vrrp
%: ALWAYS
	@$(MAKE) -s -C .. vrrp/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== debian/changelog ===
frr (7.5.1-1.1+deb11u4) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.

  [ Tobias Frost ]
  * Fix changelog entry for past upload, as it fixes CVE-2023-41909 but didn't mention it.

  [ Arturo Borrero Gonzalez ]
  * fix CVE-2024-55553: route revalidation issue
  * gitlab-ci: refresh settings

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 23 Jan 2025 11:27:45 +0100

frr (7.5.1-1.1+deb11u3) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * fix autopkgtest.
    - enable allow-std-error on py-frr-reload, to avoid a new warning
      emitted by the test.
    - stop frr after running py-frr-reload, otherwise autopkgtest breaks
      networking for subsequent steps, e.g when using pbuilder.
  * d/clean: Remove generated files on rebuild.
  * Backport fixed for several buffer overflow vulnerabilties:
    CVE-2022-26125, CVE-2022-26126, CVE-2022-26127 (Closes: #1008010)
    CVE-2022-26128, CVE-2022-26129
  * Enabling patching of the fuzz test vectors with quilt
    - Add patch to build system disabling handling the fuzz testvectors.
    - Introduce the fuzz testvectors as patch, as upstream shipped it only
      compressed and we need to patch it, otherwise the fix for CVE-2022-26125
      would break the tests.
  * CVE-2022-37035 - Racy use after free (Closes: #1016978)
  * CVE-2023-38406 - "flowspec overflow."
  * CVE-2023-38407 - Buffer overread (Closes: #1055852)
  * Backport fixes for several vulnerabilties:
    - DoS (crash) CVE-2023-46752, CVE-2023-46753, CVE-2023-47234, CVE-2023-47235
      (Also filed in #1055852), CVE-2024-31948 and
    - CVE-2024-31949 - DoS causing an infinite loop
  * CVE-2024-44070 - missing length check of remaining stream before using TLV
    value. (Closes: #1079649)
  * CVE-2023-41909 - possible NULL pointer dereference.

 -- Tobias Frost <tobi@debian.org>  Mon, 02 Sep 2024 20:43:37 +0200

frr (7.5.1-1.1+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2022-36440, CVE-2022-40302, CVE-2022-40318, CVE-2022-43681:
    Denial of service with maliciously construct BGP OPEN packet
    (Closes: #1035829).
  * CVE-2023-31490: Denial of service caused by malformed SRv6 L3
    service attribute (Closes: #1036062).
  * CVE-2023-38802: Denial of service caused by corrupted
    Tunnel Encapsulation attribute.
  * CVE-2023-41358: Denial of service while processing NLRIs with
    zero length attribute.

 -- Aron Xu <aron@debian.org>  Fri, 01 Sep 2023 12:27:31 +0800

frr (7.5.1-1.1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2022-37032: out-of-bounds read in BGP daemon that could lead to
    segmentation fault and denial of service.

 -- Aron Xu <aron@debian.org>  Fri, 24 Feb 2023 17:14:19 +0800

frr (7.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for compatibility with the bullseye
    libyang1. (Closes: #990585)

 -- Adrian Bunk <bunk@debian.org>  Sun, 11 Jul 2021 19:15:04 +0300

frr (7.5.1-1) unstable; urgency=medium

  * Update the d/gbp.conf for 7.5.1 release
  * Use wrap-and-sort -a to unify debian/ wrapping and sorting
  * Work around the sphinx-build error that doesn't copy images to texinfo
  * Change the upstream-tag in d/gbp.conf to track the upstream tarballs

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 Mar 2021 09:40:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,17 +22,17 @@
 endif
 
 ifeq ($(filter pkg.frr.nosystemd,$(DEB_BUILD_PROFILES)),)
-  DH_WITH_SYSTEMD=systemd,
+  DH_WITHOUT_SYSTEMD=
   CONF_SYSTEMD=--enable-systemd=yes
 else
-  DH_WITH_SYSTEMD=
+  DH_WITHOUT_SYSTEMD=--without=systemd
   CONF_SYSTEMD=--enable-systemd=no
 endif
 
 export PYTHON=python3
 
 %:
-	dh $@ --with=$(DH_WITH_SYSTEMD)autoreconf --parallel
+	dh $@ $(DH_WITHOUT_SYSTEMD)
 
 override_dh_auto_configure:
 	$(shell dpkg-buildflags --export=sh); \
@@ -54,24 +54,17 @@
 		--enable-doc-html \
 		--enable-snmp \
 		--enable-fpm \
+		--disable-protobuf \
 		--disable-zeromq \
 		--enable-ospfapi \
-		--disable-bgp-vnc \
-		--enable-multipath=128 \
+		--enable-bgp-vnc \
+		--enable-multipath=256 \
 		\
 		--enable-user=frr \
 		--enable-group=frr \
 		--enable-vty-group=frrvty \
 		--enable-configfile-mask=0640 \
 		--enable-logfile-mask=0640 \
-		\
-		--enable-protobuf \
-		--enable-cumulus=yes \
-		--enable-csmgr=yes \
-		--enable-datacenter=yes \
-		--enable-bfdd=no \
-		--enable-sharpd=yes \
-		--enable-grpc=yes \
 		# end
 
 override_dh_auto_install:

=== debian/tests/control ===
Tests: zebra-lo
Depends: frr
Restrictions: needs-root, isolation-container

Tests: bgpd-snmp-rpki
Depends: frr,
         frr-rpki-rtrlib,
         frr-snmp
Restrictions: needs-root, isolation-container

Tests: py-frr-reload
Depends: frr,
         frr-pythontools
Restrictions: needs-root, isolation-container,allow-stderr
